CREATE TABLE ce_pmt_instr_bu_assignments_ (
    PMT_INSTR_BU_ASSIGNMENT_ID    NUMBER(18, 0) ,
    PAYMENT_INSTRUMENT_ID         NUMBER(18, 0) ,
    BUSINESS_UNIT_ID              NUMBER(18, 0) ,
    START_DATE                    DATE          ,
    END_DATE                      DATE          ,
    ASSET_CCID                    NUMBER(18, 0) ,
    CLEARING_CCID                 NUMBER(18, 0) ,
    CHARGE_CCID                   NUMBER(18, 0) ,
    EXCHANGE_GAIN_CCID            NUMBER(18, 0) ,
    EXCHANGE_LOSS_CCID            NUMBER(18, 0) ,
    ATTRIBUTE_CATEGORY            VARCHAR2(120) ,
    ATTRIBUTE1                    VARCHAR2(600) ,
    ATTRIBUTE2                    VARCHAR2(600) ,
    ATTRIBUTE3                    VARCHAR2(600) ,
    ATTRIBUTE4                    VARCHAR2(600) ,
    ATTRIBUTE5                    VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1             NUMBER        ,
    ATTRIBUTE_NUMBER2             NUMBER        ,
    ATTRIBUTE_NUMBER3             NUMBER        ,
    ATTRIBUTE_NUMBER4             NUMBER        ,
    ATTRIBUTE_NUMBER5             NUMBER        ,
    ATTRIBUTE_DATE1               DATE          ,
    ATTRIBUTE_DATE2               DATE          ,
    ATTRIBUTE_DATE3               DATE          ,
    ATTRIBUTE_DATE4               DATE          ,
    ATTRIBUTE_DATE5               DATE          ,
    CREATION_DATE                 TIMESTAMP(6)  ,
    CREATED_BY                    VARCHAR2(256) ,
    LAST_UPDATED_BY               VARCHAR2(256) ,
    LAST_UPDATE_DATE              TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)  ,
    BANK_LIABILITY_CCID           NUMBER(18, 0) ,
    AUDIT_ACTION_TYPE_            VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_         VARCHAR2(4000),
    AUDIT_IMPERSONATOR_           VARCHAR2(256) ,
    PMT_INSTR_BU_ASSIGNMENT_ID    NUMBER(18, 0) ,
    PAYMENT_INSTRUMENT_ID         NUMBER(18, 0) ,
    BUSINESS_UNIT_ID              NUMBER(18, 0) ,
    START_DATE                    DATE          ,
    END_DATE                      DATE          ,
    ASSET_CCID                    NUMBER(18, 0) ,
    CLEARING_CCID                 NUMBER(18, 0) ,
    CHARGE_CCID                   NUMBER(18, 0) ,
    EXCHANGE_GAIN_CCID            NUMBER(18, 0) ,
    EXCHANGE_LOSS_CCID            NUMBER(18, 0) ,
    ATTRIBUTE_CATEGORY            VARCHAR2(120) ,
    ATTRIBUTE1                    VARCHAR2(600) ,
    ATTRIBUTE2                    VARCHAR2(600) ,
    ATTRIBUTE3                    VARCHAR2(600) ,
    ATTRIBUTE4                    VARCHAR2(600) ,
    ATTRIBUTE5                    VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1             NUMBER        ,
    ATTRIBUTE_NUMBER2             NUMBER        ,
    ATTRIBUTE_NUMBER3             NUMBER        ,
    ATTRIBUTE_NUMBER4             NUMBER        ,
    ATTRIBUTE_NUMBER5             NUMBER        ,
    ATTRIBUTE_DATE1               DATE          ,
    ATTRIBUTE_DATE2               DATE          ,
    ATTRIBUTE_DATE3               DATE          ,
    ATTRIBUTE_DATE4               DATE          ,
    ATTRIBUTE_DATE5               DATE          ,
    CREATION_DATE                 TIMESTAMP(6)  ,
    CREATED_BY                    VARCHAR2(256) ,
    LAST_UPDATED_BY               VARCHAR2(256) ,
    LAST_UPDATE_DATE              TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)  ,
    AUDIT_ACTION_TYPE_            VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_         VARCHAR2(4000),
    AUDIT_IMPERSONATOR_           VARCHAR2(256) ,
    BANK_LIABILITY_CCID           NUMBER(18, 0) ,
    CONSTRAINT pk_ce_pmt_instr_bu_assignments_ PRIMARY KEY (PMT_INSTR_BU_ASSIGNMENT_ID, LAST_UPDATED_BY, LAST_UPDATE_DATE, PMT_INSTR_BU_ASSIGNMENT_ID, LAST_UPDATED_BY, LAST_UPDATE_DATE)
);
